Package org.jfree.layouting.renderer.process

## Class InfiniteMinorAxisLayoutStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateVisualProcessStep
  - - org.jfree.layouting.renderer.process.InfiniteMinorAxisLayoutStep

-     public class InfiniteMinorAxisLayoutStep
      extends IterateVisualProcessStep

  This process-step computes the effective layout, but it does not take horizontal pagebreaks into account. (It has to deal with vertical breaks, as they affect the text layout.)

  This processing step does not ajust anything on the vertical axis. Vertical alignment is handled in a second step.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfiniteMinorAxisLayoutStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compute​(LogicalPageBox root)` |
    `void` | `continueComputation​(PageGrid pageGrid, RenderBox box)` | Continues processing.
    `protected TextAlignmentProcessor` | `create​(CSSValue alignment, CSSValue lastLine)` |
    `protected void` | `finishBlockLevelBox​(RenderBox box)` |
    `protected void` | `finishInlineLevelBox​(RenderBox box)` |
    `protected void` | `finishLine​(InlineRenderBox inlineRenderBox)` |
    `protected void` | `processBlockLevelNode​(RenderNode node)` |
    `protected void` | `processInlineLevelNode​(RenderNode node)` |
    `protected void` | `processParagraphChilds​(ParagraphRenderBox box)` |
    `protected boolean` | `startBlockLevelBox​(RenderBox box)` | The whole computation is only done for exactly one nesting level of paragraphs.
    `protected boolean` | `startInlineLevelBox​(RenderBox box)` |
    `protected void` | `startLine​(InlineRenderBox inlineRenderBox)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

      `processBlockLevelChild, processBoxChilds, processFlow, processInlineLevelChild, processOtherLevelChild, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfiniteMinorAxisLayoutStep

          public InfiniteMinorAxisLayoutStep​()

  - ### Method Detail

    - #### compute

          public void compute​(LogicalPageBox root)

    - #### continueComputation

          public void continueComputation​(PageGrid pageGrid,
                                          RenderBox box)

      Continues processing. The renderbox must have a valid x-layout (that is: X, content-X1, content-X2 and Width)
      Parameters:
        `parent` -
        `box` -

    - #### startBlockLevelBox

          protected boolean startBlockLevelBox​(RenderBox box)

      The whole computation is only done for exactly one nesting level of paragraphs. If we encounter an inline-block or inline-table, we handle them as a single element.
      Overrides:
        `startBlockLevelBox` in class `IterateVisualProcessStep`
      Parameters:
        `box` -
      Returns:

    - #### finishBlockLevelBox

          protected void finishBlockLevelBox​(RenderBox box)

      Overrides:
        `finishBlockLevelBox` in class `IterateVisualProcessStep`

    - #### startInlineLevelBox

          protected boolean startInlineLevelBox​(RenderBox box)

      Overrides:
        `startInlineLevelBox` in class `IterateVisualProcessStep`

    - #### finishInlineLevelBox

          protected void finishInlineLevelBox​(RenderBox box)

      Overrides:
        `finishInlineLevelBox` in class `IterateVisualProcessStep`

    - #### processInlineLevelNode

          protected void processInlineLevelNode​(RenderNode node)

      Overrides:
        `processInlineLevelNode` in class `IterateVisualProcessStep`

    - #### processBlockLevelNode

          protected void processBlockLevelNode​(RenderNode node)

      Overrides:
        `processBlockLevelNode` in class `IterateVisualProcessStep`

    - #### processParagraphChilds

          protected void processParagraphChilds​(ParagraphRenderBox box)

      Specified by:
        `processParagraphChilds` in class `IterateVisualProcessStep`

    - #### startLine

          protected void startLine​(InlineRenderBox inlineRenderBox)

    - #### finishLine

          protected void finishLine​(InlineRenderBox inlineRenderBox)

    - #### create

          protected TextAlignmentProcessor create​(CSSValue alignment,
                                                  CSSValue lastLine)